"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function deepKeyTransformer(obj, currentPath) {
    for (var key in obj) {
        var path = currentPath ? currentPath + "." + key : key;
        if (typeof obj[key] !== 'object') {
            var keyName = (currentPath ? currentPath + '.' : '') + key;
            obj[key] = keyName;
            continue;
        }
        deepKeyTransformer(obj[key], path);
    }
}
function transformKeys(obj) {
    var modifiedObj = JSON.parse(JSON.stringify(obj));
    deepKeyTransformer(modifiedObj);
    return modifiedObj;
}
exports.default = transformKeys;
